\begin{sheetexercise}(\textit{10 points})
Let $A\in\mathbb Z^{2\times2}$ and recall once more the space $X_A$ from Exercise 1 on Sheet 2. Compute the singular (co)homology groups $H_*(X_A;\mathbb Z/2\mathbb Z)$ and $H^*(X_A;\mathbb Z)$ again, this time using the computation of $H_*(X_A;\mathbb Z)$ from the aforementioned exercise and the Universal Coefficients Theorem.
\end{sheetexercise}

\begin{sheetexercise}
(\textit{$\it7+\it3$ points}) Compute the cup product structure on $H^*(S^1\times S^1)$. Use this to prove that $S^1\times S^1$ is not homotopy equivalent to a suspension space or more generally any space that can be covered by two contractible open subspaces.
\end{sheetexercise}

\textit{The following exercise has nothing to do with (co)homology; instead, it should serve as a reminder on CW-complexes and cofibrations, and it is a useful result any algebraic topologist should know anyhow.}

\begin{sheetexercise}
(\textit{$\it7+\it3$ points})
Let $X$ be a topological space and let $A\subset X$ be a contractible closed subspace such that the inclusion $A\hookrightarrow X$ is a cofibration. Show that the quotient map $X\to X/A$ is a homotopy equivalence. Conclude that every connected CW-complex is homotopy equivalent to a CW-complex with a single $0$-cell.
\end{sheetexercise}

\begin{sheetexercise}
Let $R$ be a commutative ring.
\begin{enumerate}
\item (\textit{7 points}) Let
\begin{equation*}
\begin{tikzcd}
& \vdots\arrow[d] & \vdots\arrow[d] & \vdots\arrow[d]\\
\cdots\arrow[r] & C_{22}\arrow[d]\arrow[r] & C_{21}\arrow[d]\arrow[r] & C_{20}\arrow[d]\arrow[r] & 0\\
\cdots\arrow[r] & C_{12}\arrow[d]\arrow[r] & C_{11}\arrow[d]\arrow[r] & C_{10}\arrow[d]\arrow[r] & 0\\
\cdots\arrow[r] & C_{02}\arrow[d]\arrow[r] & C_{01}\arrow[d]\arrow[r] & C_{00}\arrow[d]\arrow[r] & 0\\
& 0 & 0 & 0
\end{tikzcd}
\end{equation*}
be a commutative diagram of $R$-modules such that each row and each column is a chain complex and such that moreover for all $m,n\ge1$ the chain complexes
\begin{equation*}
\cdots\to C_{m,2}\to C_{m,1}\to C_{m,0}\to 0\qquad\text{and}\qquad\cdots\to C_{2,n}\to C_{1,n}\to C_{0,n}\to 0
\end{equation*}
are exact. Show that the chain complexes
\begin{equation*}
\cdots C_{02}\to C_{01}\to C_{00}\to 0\qquad\text{and}\qquad \cdots\to C_{20}\to C_{10}\to C_{00}\to 0
\end{equation*}
have isomorphic homology (as $R$-modules).

\item (\textit{3 points}) Let $M,N$ be $R$-modules. Show that $\Tor^R_*(M,N)\cong\Tor^R_*(N,M)$.

\textbf{Hint.} Resolve both $M$ and $N$ and apply the previous subtask.
\end{enumerate}
\end{sheetexercise}

\begin{sheetexercise*}
Let $\iota$ be a generator of the infinite cyclic group $H^1(S^1)$. For every topological space $X$ we define a map $\beta\colon[X,S^1]\to H^1(X)$ from the set of homotopy classes $X\to S^1$ to the first singular cohomology group via $\beta[f]=f^*(\iota)$.
\begin{enumerate}
\item (\textit{0 bonus points}) Convince yourself that $\beta$ is well-defined and a natural transformation of functors $\cat{Top}^\op\to\cat{Sets}$.
\item (\textit{4 bonus points}) Assume we have equipped $X$ with a base point. Show that the forgetful map $[X,S^1]_*\to[X,S^1]$ from the set of based homotopy classes to the set of unbased homotopy classes is bijective.

\textbf{Hint.} Use the group structure on $S^1$ coming from the usual multiplication on $\mathbb C$.

\item (\textit{6 bonus points}) Assume that $X$ is a CW-complex. Show that $\beta\colon[X,S^1]\to H^1(X)$ is bijective.

\textbf{Hint.} Reduce to the case of a $2$-dimensional CW-complex with a single $0$-cell.

\textbf{Remark.} One can actually show that $\beta$ is an isomorphism of groups when we make the source into a group via the group structure on $S^1$. More generally, all the singular cohomology groups of CW-complexes can be expressed as homotopy classes of maps into certain topological abelian groups.
\end{enumerate}
\end{sheetexercise*}
